RFIDWithUHF.LockModeEnum

com.rscja.deviceapi

## Enum RFIDWithUHF.LockModeEnum

- java.lang.Object
- - java.lang.Enum<RFIDWithUHF.LockModeEnum>
  - - com.rscja.deviceapi.RFIDWithUHF.LockModeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RFIDWithUHF.LockModeEnum>
  Enclosing class:
    RFIDWithUHF

  Deprecated.

      @Deprecated
      public static enum RFIDWithUHF.LockModeEnum
      extends java.lang.Enum<RFIDWithUHF.LockModeEnum>

  锁定模式
  Lock mode
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOLD` Deprecated. 保持状态 hold mode
    `LOCK` Deprecated. 锁定 lock
    `PLOCK` Deprecated. 永久锁定
    `PUNLOCK` Deprecated. 永久解锁 permanent unlock
    `UNLOCK` Deprecated. 解锁 unlock

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getValue()` Deprecated. 获取枚举的值 Acquire example value
    `static RFIDWithUHF.LockModeEnum` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static RFIDWithUHF.LockModeEnum[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOLD

          public static final RFIDWithUHF.LockModeEnum HOLD

      Deprecated.
      保持状态
      hold mode

    - #### LOCK

          public static final RFIDWithUHF.LockModeEnum LOCK

      Deprecated.
      锁定
      lock

    - #### UNLOCK

          public static final RFIDWithUHF.LockModeEnum UNLOCK

      Deprecated.
      解锁
      unlock

    - #### PLOCK

          public static final RFIDWithUHF.LockModeEnum PLOCK

      Deprecated.
      永久锁定

    - #### PUNLOCK

          public static final RFIDWithUHF.LockModeEnum PUNLOCK

      Deprecated.
      永久解锁
      permanent unlock

  - ### Method Detail

    - #### values

          public static RFIDWithUHF.LockModeEnum[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFIDWithUHF.LockModeEnum c : RFIDWithUHF.LockModeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFIDWithUHF.LockModeEnum valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public byte getValue()

      Deprecated.
      获取枚举的值
      Acquire example value